Templates
Create Template
Creates the stable Template and an empty unpublished version 1 atomically. Version lifecycle fields and content are server-managed and cannot be supplied in this request. request_approvals is set only here and cannot be changed afterwards.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Human-readable name of the resource.
Length
1 <= lengthkey*string
Stable key used to identify the resource.
Length
1 <= lengthlanguage*string
Language value for this resource.
Length
2 <= length <= 2type*"authentication" | "auto_responder" | "double_opt_in_confirmation" | "marketing" | "opt_in_request" | "opt_out_confirmation" | "review_request" | "transactional"
Type of the resource.
request_approvals?boolean
Request Approvals value for this resource.
Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "key": "string", "language": "st", "type": "authentication" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "key": "string", "language": "string", "type": "authentication", "request_approvals": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}